/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.baseinfo.org.wrapper;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.core.tool.utils.SpringUtil;
import org.springblade.modules.baseinfo.org.entity.OrgInfoEntity;
import org.springblade.modules.baseinfo.org.vo.OrgInfoVO;
import org.springblade.modules.baseinfo.region.entity.RegionInfoEntity;
import org.springblade.modules.baseinfo.region.service.IBaseInfoRegionService;
import org.springblade.modules.baseinfo.region.vo.RegionInfoVO;
import org.springblade.modules.system.entity.Dept;

import java.util.Objects;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class OrgInfoWrapper extends BaseEntityWrapper<Dept, OrgInfoVO> {

	public static OrgInfoWrapper build() {
		return new OrgInfoWrapper();
	}

	@Override
	public OrgInfoVO entityVO(Dept entity) {
		OrgInfoVO orgInfoVO = new OrgInfoVO();
		orgInfoVO.setId(entity.getId());
		orgInfoVO.setDictValue(entity.getDeptName());
		return orgInfoVO;
	}

}
